
public class Biblioteca {

	private String nome;
	private String indirizzo;
	private int codice;
	private Libro libro1;
	private Libro libro2;
	private Libro libro3;

	// 1- presentare un opportuno costruttore (inizialmente la biblioteca non
	// contiene
	// alcun libro, quindi tutti i campi devono valere null).
	public Biblioteca(String nome, String indirizzo, int codice) {
		this.nome = nome;
		this.indirizzo = indirizzo;
		this.codice = codice;

		this.libro1 = null;
		this.libro2 = null;
		this.libro3 = null;
	}

	// 2 - presenti opportuni metodi che permettano di accedere alle variabili di
	// istanza delloggetto (non si considerino i libri)
	public String getNome() {
		return nome;
	}

	public String getIndirizzo() {
		return indirizzo;
	}

	public int getCodice() {
		return codice;
	}

	// 3 - possedere un metodo aggiungi che, dato un oggetto Libro, lo inserisca in
	// uno dei campi, purch vi sia posto, e restituisca true; altrimenti,
	// restituisca false.
	public boolean aggiungi(Libro libro) {
		if (libro1 == null) {
			libro1 = libro;
			return true;
		} else if (libro2 == null) {
			libro2 = libro;
			return true;
		} else if (libro3 == null) {
			libro3 = libro;
			return true;
		} else
			return false;
	}

	// 4 - presentare un metodo cerca che, dato il nome di un autore, restituisca il
	// primo libro di tale autore all'interno della biblioteca (null se non esiste).
	public Libro cerca(String autore) {
		if (libro1 != null && libro1.getAutore().equals(autore))
			return libro1;

		else if (libro2 != null && libro2.getAutore().equals(autore))
			return libro2;

		else if (libro3 != null && libro3.getAutore().equals(autore))
			return libro3;

		else
			return null;
	}

	// 5 - possedere un metodo cancella che, dato il nome di un autore, rimuova
	// dalla biblioteca tutti i libri di tale autore (se presenti).
	public void cancella(String autore) {
		if (libro1 != null && libro1.getAutore().equals(autore))
			libro1 = null;

		if (libro2 != null && libro2.getAutore().equals(autore))
			libro2 = null;

		if (libro3 != null && libro3.getAutore().equals(autore))
			libro3 = null;

	}

	// 6 - possedere il metodo toString che restituisca una stringa che fornisca una
	// descrizione della biblioteca, compreso il numero di libri effettivamente
	// presenti.
	public String toString() {
		String libridisponibili = "";
		if (libro1 != null)
			libridisponibili += libro1 + " ";
		if (libro2 != null)
			libridisponibili += libro2 + " ";
		if (libro3 != null)
			libridisponibili += libro3;

		return "Biblioteca " + nome + "(" + codice + ") - " + indirizzo + " con libri " + libridisponibili;
	}

}
