
public class Libro {

	private String autore;
	private String titolo;
	private String casaEditrice;
	private int annoPubblicazione;

	// 1 - Possieda un opportuno costruttore con parametri
	public Libro(String autore, String titolo, String casaEditrice, int annoPubblicazione) {
		this.autore = autore;
		this.titolo = titolo;
		this.casaEditrice = casaEditrice;
		this.annoPubblicazione = annoPubblicazione;
	}

	// 2 - Presenti opportuni metodi che permettano
	// di accedere alle variabili di istanza delloggetto
	public String getAutore() {
		return autore;
	}

	public String getTitolo() {
		return titolo;
	}

	public String getCasaEditrice() {
		return casaEditrice;
	}

	public int getAnnoPubblicazione() {
		return annoPubblicazione;
	}

	// 3 - Presenti il metodo toString che fornisca la descrizione del libro
	public String toString() {
		return autore + ": " + titolo + "(" + casaEditrice + "); " + annoPubblicazione;
	}

	// 4 - Presenti il metodo uguale che, dato un Libro in ingresso,
	// restituisca un booleano: true se tutti i campi del Libro in ingresso
	// sono uguali ai propri, false altrimenti.

	public boolean uguale(Libro altro) {
		return this.autore.equals(altro.getAutore()) 
				&& this.titolo.equals(altro.getTitolo())
				&& this.casaEditrice.contentEquals(altro.getCasaEditrice())
				&& this.annoPubblicazione == altro.getAnnoPubblicazione();
	}

}
